'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray2 = require('babel-runtime/helpers/slicedToArray');

var _slicedToArray3 = _interopRequireDefault(_slicedToArray2);

var _from = require('babel-runtime/core-js/array/from');

var _from2 = _interopRequireDefault(_from);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var toLowerCase = function toLowerCase(word) {
  return (0, _from2.default)(word).map(function (char, index) {
    return !index ? char.toLowerCase() : char;
  }).join('');
};

exports.default = function (_ref) {
  var types = _ref.types;

  return {
    visitor: {
      ImportDeclaration: function ImportDeclaration(path) {
        var node = path.node;
        var type = node.type,
            specifiers = node.specifiers,
            source = node.source;

        var importSpecifiers = specifiers.filter(function (specifier) {
          return types.isImportSpecifier(specifier);
        });

        if (importSpecifiers.length === 1) {
          var _importSpecifiers = (0, _slicedToArray3.default)(importSpecifiers, 1),
              importSpecifier = _importSpecifiers[0];

          var element = toLowerCase(importSpecifier.imported.name);

          importSpecifier.type = 'ImportDefaultSpecifier';
          source.value += '/lib/' + element;
        }
      }
    }
  };
};